# class DCOPRef | If you want to return a reference to another DCOP object in a DCOP interface, then you have to return a DCOPRef object. More...
Definition | `#include <dcopref.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- DCOPRef ()
- DCOPRef ( const DCOPRef& ref )
- DCOPRef ( const QCString& app, const QCString& obj )
- DCOPRef ( DCOPObject *object )
- DCOPRef ( const QCString& app, const QCString& obj, const QCString& type )
- bool isNull () const
- QCString app () const
- QCString object () const
- QCString type () const
- DCOPRef& operator= ( const DCOPRef& )
- void setRef ( const QCString& app, const QCString& obj )
- void setRef ( const QCString& app, const QCString& obj, const QCString& type )
- void clear ()

## Detailed Description

If you want to return a reference to another DCOP object in a DCOP interface, then you have to return a DCOPRef object.

DCOPRef () | ### DCOPRef

Create a null reference.

DCOPRef ( const DCOPRef& ref ) | ### DCOPRef

Copy constructor.

DCOPRef ( const QCString& app, const QCString& obj ) | ### DCOPRef

Create a reference to a certain object in a certain application.

Parameters:

app | The name of an application as registered by the dcopserver.

DCOPRef ( DCOPObject *object ) | ### DCOPRef

Create a reference to a certain object in a certain application.

Parameters:

object | The dcop object to create the ref to.

DCOPRef ( const QCString& app, const QCString& obj, const QCString& type ) | ### DCOPRef

Create a reference to a certain object in a certain application.

Parameters:

app | The name of an application as registered by the dcopserver.

bool isNull () | ### isNull

[const]

Test wether it is a null reference.

QCString app () | ### app

[const]

Name of the application in which the object resides.

QCString object () | ### object

[const]

Object ID of the referenced object.

QCString type () | ### type

[const]

type of the referenced object. May be null (i.e. unknown).

DCOPRef& operator= ( const DCOPRef& ) | ### operator=

void setRef ( const QCString& app, const QCString& obj ) | ### setRef

Change the referenced object. Resets the type to unknown (null).

void setRef ( const QCString& app, const QCString& obj, const QCString& type ) | ### setRef

Change the referenced object

void clear () | ### clear

Make it a null reference.

- Author: Torben Weis <weis@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:07 2001, using kdoc 2.0a53.